{
  "format_version": "1.17.0",
  "minecraft:spawn_rules": {
    "description": {
      "identifier": "silverlabs_nat:fennec_fox",
      "population_control": "animal"
    },
    "conditions": [
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:mud",
          "minecraft:sand",
          "minecraft:mangrove_roots",
          "minecraft:muddy_mangrove_roots"
        ],
        "minecraft:brightness_filter": {
          "min": 7,
          "max": 15,
          "adjust_for_weather": false
        },
        "minecraft:weight": {
          "default": 20
        },
        "minecraft:herd": {
          "min_size": 1,
          "max_size": 1
        },
        "minecraft:biome_filter": [
          {
            "test": "has_biome_tag",
            "operator": "==",
            "value": "desert"
          },
          {
            "test": "has_biome_tag",
            "operator": "!=",
            "value": "frozen"
          }
        ]
      },
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:mud",
          "minecraft:sand",
          "minecraft:mangrove_roots",
          "minecraft:muddy_mangrove_roots"
        ],
        "minecraft:brightness_filter": {
          "min": 7,
          "max": 15,
          "adjust_for_weather": false
        },
        "minecraft:weight": {
          "default": 21
        },
        "minecraft:herd": {
          "min_size": 1,
          "max_size": 1
        },
        "minecraft:biome_filter": [
          {
            "test": "has_biome_tag",
            "operator": "==",
            "value": "mesa"
          },
          {
            "test": "has_biome_tag",
            "operator": "!=",
            "value": "frozen"
          }
        ]
      },
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:mud",
          "minecraft:sand",
          "minecraft:mangrove_roots",
          "minecraft:muddy_mangrove_roots",
          "4ks_bop:orange_sand"
        ],
        "minecraft:brightness_filter": {
          "min": 7,
          "max": 15,
          "adjust_for_weather": false
        },
        "minecraft:weight": {
          "default": 20
        },
        "minecraft:herd": {
          "min_size": 1,
          "max_size": 1
        },
        "minecraft:biome_filter": {
          "any_of": [
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:lush_desert"
            }
          ]
        }
      }
    ]
  }
}
